import request from '@/utils/request';

/**
 * 作业记录 - 作业列表
 */
export const api_trainingList = (params: any) => {
  return request.post('/edu-app/lessonTraining/trainingList', {
    data: params
  });
};

/**
 * 作业记录 - 撤回
 */
export const api_withdrawTraining = (params: any) => {
  return request.post('/edu-app/lessonTraining/withdrawTraining', {
    data: params,
    requestType: 'form'
  });
};

/**
 * 作业记录 - 详情
 */
export const api_trainingDetail = (params: any) => {
  return request.get(
    '/edu-app/lessonTraining/trainingDetail?trainingId=' + params.id
  );
};

/**
 * 作业记录 - 详情学生列表
 */
export const api_trainingStudentList = (params: any) => {
  return request.post('/edu-app/lessonTraining/trainingStudentList', {
    data: params
  });
};
